Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
quizmyscores.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Limit = $ini->variable( "eZQuizMain", "ScoreLimit" )
| $Language = $ini->variable( "eZQuizMain", "Language" )
| $ScoreCurrent = $ini->variable( "eZQuizMain", "ScoreCurrent" )
| $t
| $intl = new eZINI( "kernel/ezquiz/user/intl/". $Language . "/quiz.php.ini" )
| $printScores = false
| $user =& eZUser::currentUser()
if(is_a( $user, "eZUser")) | else

## Variable Documentation

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 41 of file quizmyscores.php.

## ◆ $intl

$intl = new eZINI( "kernel/ezquiz/user/intl/". $Language . "/quiz.php.ini" )

Definition at line 50 of file quizmyscores.php.

## ◆ $Language

$Language = $ini->variable( "eZQuizMain", "Language" )

Definition at line 44 of file quizmyscores.php.

## ◆ $Limit

$Limit = $ini->variable( "eZQuizMain", "ScoreLimit" )

Definition at line 43 of file quizmyscores.php.

## ◆ $printScores

$printScores = false

Definition at line 70 of file quizmyscores.php.

## ◆ $ScoreCurrent

$ScoreCurrent = $ini->variable( "eZQuizMain", "ScoreCurrent" )

Definition at line 45 of file quizmyscores.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezquiz/user/" . $ini->variable( "eZQuizMain", "TemplateDir" ),
"kernel/ezquiz/user/intl/", $Language, "quiz.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: quizmyscores.php:44
$ini
$ini
Definition: quizmyscores.php:41

Definition at line 47 of file quizmyscores.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 72 of file quizmyscores.php.

## ◆ else

if (is_a($user, "eZUser")) else

Initial value:
{
$error = "login"
$error
$error
Definition: ezarticle/admin/categoryedit.php:51

Definition at line 105 of file quizmyscores.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.